package com.yd.dal.entity.transaction;

import java.io.Serializable;
import java.util.Date;

/**
 * ag_trans_sendlist
 * @author 
 */
public class TransSendList implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * serial id
     */
    private Long id;

    /**
     * 发送标识 sms-短信，email-邮件
     */
    private String sendTag;

    /**
     * 寄件者
     */
    private String sender;

    /**
     * FK ag_acl_customer.id
     */
    private Long customerId;

    /**
     * 收件者姓名
     */
    private String name;

    private String mobileNo;

    /**
     * 1=订单 2=提现 3=客户意见 4=汽车问卷 5=活动 6=wordpress 7=生日快乐 99=其他
     */
    private Integer useFor;

    /**
     * 对应 use_for 表中的id
     */
    private Long useForId;

    /**
     * 短信模板code
     */
    private String smsTemplateCode;

    /**
     * 标题
     */
    private String subject;

    /**
     * 信息内容概要
     */
    private String contentSummary;

    /**
     * 发送是否成功 0=No, 1=Yes
     */
    private Integer isSuccess;

    /**
     * 失败次数
     */
    private Integer failCount;

    /**
     * 创建时间
     */
    private Date createdAt;

    private Long createdBy;

    /**
     * 修改时间
     */
    private Date updatedAt;

    private Long updatedBy;

    /**
     * 收件者邮箱
     */
    private String emailTo;

    /**
     * 抄送者邮箱
     */
    private String emailCc;

    /**
     * 密件收件者邮箱
     */
    private String emailBcc;

    /**
     * 信息内容
     */
    private String content;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getSendTag() {
        return sendTag;
    }

    public void setSendTag(String sendTag) {
        this.sendTag = sendTag;
    }

    public String getSender() {
        return sender;
    }

    public void setSender(String sender) {
        this.sender = sender;
    }

    public Long getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Long customerId) {
        this.customerId = customerId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMobileNo() {
        return mobileNo;
    }

    public void setMobileNo(String mobileNo) {
        this.mobileNo = mobileNo;
    }

    public Integer getUseFor() {
        return useFor;
    }

    public void setUseFor(Integer useFor) {
        this.useFor = useFor;
    }

    public Long getUseForId() {
        return useForId;
    }

    public void setUseForId(Long useForId) {
        this.useForId = useForId;
    }

    public String getSmsTemplateCode() {
        return smsTemplateCode;
    }

    public void setSmsTemplateCode(String smsTemplateCode) {
        this.smsTemplateCode = smsTemplateCode;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getContentSummary() {
        return contentSummary;
    }

    public void setContentSummary(String contentSummary) {
        this.contentSummary = contentSummary;
    }

    public Integer getIsSuccess() {
        return isSuccess;
    }

    public void setIsSuccess(Integer isSuccess) {
        this.isSuccess = isSuccess;
    }

    public Integer getFailCount() {
        return failCount;
    }

    public void setFailCount(Integer failCount) {
        this.failCount = failCount;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public Long getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(Long updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getEmailTo() {
        return emailTo;
    }

    public void setEmailTo(String emailTo) {
        this.emailTo = emailTo;
    }

    public String getEmailCc() {
        return emailCc;
    }

    public void setEmailCc(String emailCc) {
        this.emailCc = emailCc;
    }

    public String getEmailBcc() {
        return emailBcc;
    }

    public void setEmailBcc(String emailBcc) {
        this.emailBcc = emailBcc;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }
}